gp-grid-logo

Getting Started

Get started with the official @gp-grid/angular package and learn how to render your first virtualized table inside an Angular app within just a few minutes.

gp-grid provides official Angular bindings through the @gp-grid/angular package.

Angular docs are being written. While this section fills in, the React and Vue docs cover the same conceptual model — the API surface is identical across all three bindings.

Quick Start

npm install @gp-grid/angular
my-grid.component.ts
import { Component } from "@angular/core";
import { GridComponent, type ColumnDefinition } from "@gp-grid/angular";

@Component({
  selector: "app-my-grid",
  standalone: true,
  imports: [GridComponent],
  template: `
    <div style="width: 800px; height: 400px">
      <gp-grid [columns]="columns" [rowData]="data" [rowHeight]="36" />
    </div>
  `,
})
export class MyGridComponent {
  columns: ColumnDefinition[] = [
    { field: "id", cellDataType: "number", width: 80, headerName: "ID" },
    { field: "name", cellDataType: "text", width: 150, headerName: "Name" },
    { field: "email", cellDataType: "text", width: 250, headerName: "Email" },
  ];

  data = [
    { id: 1, name: "Giovanni", email: "giovanni@example.com" },
    { id: 2, name: "Luca", email: "luca@example.com" },
  ];
}

Next Steps

gp-grid-logo

Getting Started

Get started with the official @gp-grid/vue package and learn how to render your first virtualized table inside a Vue 3 application within just a few minutes.

gp-grid provides official Vue 3 bindings through the @gp-grid/vue package.

Quick Start

npm install @gp-grid/vue
<script setup lang="ts">
import { Grid, type ColumnDefinition } from "@gp-grid/vue";

const columns: ColumnDefinition[] = [
  { field: "id", cellDataType: "number", width: 80, headerName: "ID" },
  { field: "name", cellDataType: "text", width: 150, headerName: "Name" },
  { field: "email", cellDataType: "text", width: 250, headerName: "Email" },
];

const data = [
  { id: 1, name: "Giovanni", email: "giovanni@example.com" },
  { id: 2, name: "Luca", email: "luca@example.com" },
];
</script>

<template>
  <div style="width: 800px; height: 400px">
    <Grid :columns="columns" :row-data="data" :row-height="36" />
  </div>
</template>

Features

All features are included out of the box — no enterprise tiers, no feature gating.

Next Steps

gp-grid-logo

Getting Started

Get started with the official @gp-grid/react package and learn how to render your first virtualized table inside a React application within just a few minutes.

gp-grid provides official React bindings through the @gp-grid/react package.

Quick Start

npm install @gp-grid/react
import { Grid, type ColumnDefinition } from "@gp-grid/react";

const columns: ColumnDefinition[] = [
  { field: "id", cellDataType: "number", width: 80, headerName: "ID" },
  { field: "name", cellDataType: "text", width: 150, headerName: "Name" },
  { field: "email", cellDataType: "text", width: 250, headerName: "Email" },
];

const data = [
  { id: 1, name: "Giovanni", email: "giovanni@example.com" },
  { id: 2, name: "Luca", email: "luca@example.com" },
];

function App() {
  return (
    <div style={{ width: "800px", height: "400px" }}>
      <Grid columns={columns} rowData={data} rowHeight={36} />
    </div>
  );
}

Features

All features are included out of the box — no enterprise tiers, no feature gating.

Next Steps